function derv_wat=dehydration(t,teta,S,V,T,k,p0,Rh)
% n * V = dry weight
D=1.8e-5; %molar volume of water m^3 * mol^-1
R=8.3143; %gass constant J * mol * K^-1
Mw=0.018; %molar mass of water kg * mol^-1
a=3.218;
b=1.35;
n=2.8011e+004;

 derv_wat=-k*S*Mw*p0/(V*n*R*(T+273.15)) * (exp((D*-a*(teta/n)^-b)/(R*(T+273.15))) - Rh/100);

end